/*  $Id: mconf.h,v 1.3 1999/10/16 13:58:14 yossa Exp $ */

#ifndef __MCONFIG_H__
#define __MCONFIG_H__

#include <time.h>

#define M_ERR_OK		      0x0

/* set_variable results */
#define M_ERR_UNKNOWN_VARIABLE 	      0x1

/* add_rule results */
#define M_ERR_INVALID_RULE	      0x2

/* number of seconds in 1 minute, 1 hour and 1 day */
#define TTIME_1MIN	60
#define TTIME_1HOUR	3600
#define TTIME_1DAY	86400


typedef time_t TTIME;

extern float ImpulsPrice, NightImpulsPrice;
extern int ImpulsAfter, NightImpulsAfter;
extern char LogFileName[256];
extern int DelayTime;
extern int NightStopHour, NightStartHour;
extern char StartProgram[256], EndProgram[256], StartMsg[256], EndMsg[256];
extern char SpeedAfter[256], SystemLog[256];

int readConfigFile();
void configCleanup();

int setVariable(char *id, char *value);
int addRule(int from, int until, int ilen, float cost);

void getActiveRule(time_t start, unsigned int *itime, float *icost,
		   time_t * stop);


#endif				/* __MCONFIG_H__ */
