/*  More slang functions */
/*  $Id: moreslang.c,v 1.1 1999/09/27 17:28:53 yossa Exp $ */

#include <locale.h>
#include <libintl.h>
#include "intl.h"
#include <slang/slang.h>
#include "../config.h"
#include "moreslang.h"


void deinitColor()
{
    if (SLtt_Use_Ansi_Colors)
	SLtt_set_color(0, NULL, "lightgray", "black");	/* background text */
    else
	SLtt_set_mono(COLOR_NORMAL, NULL, 0);
    SLsmg_set_color_in_region(0, 0, 0, SLtt_Screen_Rows, SLtt_Screen_Cols);
    SLsmg_cls();
    SLsmg_touch_lines(0, SLtt_Screen_Rows);
    SLsmg_refresh();
}

void deinitSlang()
{
    SLtt_set_cursor_visibility(1);
    SLsmg_refresh();
    SLsmg_reset_smg();
    SLang_reset_tty();
}


void initSlang()
{
    SLtt_get_terminfo();
    if (SLkp_init() == -1) {
	SLang_verror(SL_APPLICATION_ERROR, _("SLkp_init failed"));
	exit(1);
    }
    if (SLang_init_tty(-1, 0, -1) == -1) {
	SLang_verror(SL_APPLICATION_ERROR, _("SLang_init_tty failed"));
	exit(1);
    }
    SLang_set_abort_signal(NULL);
    if (SLsmg_init_smg() == -1) {
	SLang_verror(SL_APPLICATION_ERROR, _("SLsmg_init_smg failed"));
	exit(1);
    }
    SLtt_set_cursor_visibility(0);
}

void initColor()
{

#ifdef NOANSI
    SLtt_Use_Ansi_Colors = 0;
#endif

    if (SLtt_Use_Ansi_Colors) {
	SLtt_set_color(COLOR_NORMAL, NULL, "lightgray", "blue");
	SLtt_set_color(COLOR_TABLE_TITLE, NULL, "brightcyan", "blue");
	SLtt_set_color(COLOR_BOX_TITLE, NULL, "green", "blue");
	SLtt_set_color(COLOR_BOX_ACTIVE, NULL, "red", "blue");
    } else {
	SLtt_set_mono(COLOR_NORMAL, NULL, 0);
	SLtt_set_mono(COLOR_TABLE_TITLE, NULL, 0);
	SLtt_set_mono(COLOR_BOX_TITLE, NULL, 0);
	SLtt_set_mono(COLOR_BOX_ACTIVE, NULL, SLTT_BOLD_MASK);
    }

    SLsmg_set_color_in_region(0, 0, 0, SLtt_Screen_Rows, SLtt_Screen_Cols);
    SLsmg_touch_lines(0, SLtt_Screen_Rows);
    SLsmg_refresh();
}

void SLsmg_draw_clear_box(int r, int c, int dr, int dc)
{
    int x, y;
    for (y = 0; y < dr; y++) {
	SLsmg_gotorc(r + y, c);
	for (x = 0; x < dc; x++)
	    SLsmg_write_char(' ');
    }
    SLsmg_draw_box(r, c, dr, dc);
}
