%{
/* $Id: mrclex.l,v 1.2 1999/09/27 17:28:53 yossa Exp $ */
#include <math.h>
#include "mconf.h"
#include "mrcparse.h"
%}


DIGIT [0-9]
ALPHA [[:alpha:]]
ALNUM [[:alnum:]]
HOUR  [0-9]{1,2}
MIN   [0-9][0-9]

%option noyywrap

%x scVALUE

%%

"#".*"\n"		/* skip comments */
[[:blank:]]+		/* skip blanks */
{DIGIT}+		{ 
                    	    yylval.intval = atoi(yytext); 
			    return INTEGER; 
			}
{DIGIT}+"."{DIGIT}+	{ 
			    yylval.floatval = atof(yytext);
			    return FLOAT;
			}
{HOUR}":"{MIN}		{ 
                            int h, m;
			    sscanf(yytext, "%d:%d", &h, &m);
			    yylval.timeval = TTIME_1HOUR*h + TTIME_1MIN*m;
			    return TIME;
			}
between			{ return BETWEEN; }
use			{ return USE; }
default			{ return DEFAULT; }
{ALPHA}{ALNUM}*		{ 
			    strcpy(yylval.strval, yytext);
			    return ID;
			}
"="			{ BEGIN(scVALUE); REJECT; }
<scVALUE>[^=].*		{
			    strcpy(yylval.strval, yytext);
			    BEGIN(INITIAL);
			    return VALUE;
			}
.|\n			{ return yytext[0]; }

