%{
/* $Id: mrcparse.y,v 1.3 1999/10/16 13:58:14 yossa Exp $ */
#include "mconf.h"
%}

%union {
  double floatval;
  int    intval;
  TTIME  timeval;
  char   strval[80];
}

%token BETWEEN
%token USE
%token DEFAULT
%token <floatval> FLOAT
%token <intval> INTEGER
%token <timeval> TIME
%token <strval> ID
%token <strval> VALUE

%%

cfgfile	:	/* empty */
		| cfgfile line
		
line :		'\n'
		| defaultdef '\n'
		| ratedef '\n'
		| varassign '\n'
		
defaultdef :	DEFAULT '(' INTEGER ',' FLOAT ')'  
		    { 
		      ImpulsAfter = $3;
		      ImpulsPrice = $5;
		    }
ratedef :	BETWEEN '(' TIME ',' TIME ')' USE '(' INTEGER ',' FLOAT ')' 
		    { 
		      if (addRule($3, $5, $9, $11) != M_ERR_OK)
		        YYERROR;
		    }

varassign :	ID '=' VALUE 
		    { 
		      if (setVariable($1, $3) != M_ERR_OK)
		        YYERROR;
		    }
						   
%%						   


int yyerror(char *s)
{
  printf("Oops! %s\n", s);
  return 0;
}

